## v2.3.1

**Improvements**

-   `full-screen` plugin provides new callbacks that are triggered after entering and exiting the full screen mode

```javascript
import { SpecialZoomLevel } from '@react-pdf-viewer/core';
import { fullScreenPlugin } from '@react-pdf-viewer/full-screen';

const fullScreenPluginInstance = fullScreenPlugin({
    // Zoom to fit the screen after entering and exiting the full screen mode
    onEnterFullScreen: (zoom) => {
        zoom(SpecialZoomLevel.PageFit);
    },
    onExitFullScreen: (zoom) => {
        zoom(SpecialZoomLevel.PageFit);
    },
});
```

**Bug fixes**

-   The style files are missing in the `highlight` plugin
-   Render highlight annotations formed by quadrilaterals
-   The popup annotations aren't shown if they are children of highlight annotations
-   Clicking a destination (bookmark, for example) with name of `FitH` or `FitBH` throws an exception
