## v2.7.2

**New feature**

The `Search` plugin provides new function named `setTargetPages` which sets the pages that you want to search in.

```js
import { searchPlugin } from '@react-pdf-viewer/search';

const searchPluginInstance = searchPlugin();
const { setTargetPages } = searchPluginInstance;

// Only search in even pages
setTargetPages((targetPage) => targetPage.pageIndex % 2 === 0);

// Only search in the page 4
setTargetPages((targetPage) => targetPage.pageIndex === 3);
```

**Improvements**

-   Allow to change the theme from outside of the `Viewer` component
-   When the default scale is set to a special zoom level, we should keep it when resizing the window
-   The `onDocumentLoad` event and plugins' `PluginOnDocumentLoad` callback provide access to the current opened file which contains the `data` and `name` properties:

```js
const handleDocumentLoad = (e: DocumentLoadEvent) => {
    console.log(e.file.name, e.file.data);
};

<Viewer onDocumentLoad={handleDocumentLoad} />;
```

**Bug fixes**

-   Can't close the menu when using with the [Fluent UI](https://developer.microsoft.com/en-us/fluentui)
-   The `activateTab()` method provided by the [default layout](https://react-pdf-viewer.dev/plugins/default-layout) plugin shouldn't toggle the tab
-   The `LocalePopover` component doesn't update the localization
-   The pages' container overflows on initial render when setting the default scale to `SpecialZoomLevel.PageWidth`
