## v2.9.0

**New features**

-   The `core` package provides new `Splitter` component
-   The `thumbnail` plugin provides new `Cover` component that shows the thumbnail of a particular page:

```js
const { thumbnailPluginInstance } = thumbnailPlugin();
const { Cover } = thumbnailPluginInstance;

// Thumbnail of the first page
<Cover getPageIndex={_ => 0} />

// Thumbnail of the last page
<Cover getPageIndex={props => props.numPages - 1} />
```

-   Add new `onDocumentAskPassword` event that is triggered when a protected document requires a password to open:

```js
const handleAskPassword = (e: DocumentAskPasswordEvent) => {
    // ...
};

<Viewer onDocumentAskPassword={handleAskPassword} />;
```

**Improvements**

-   Automatically focus on the keyword input in the search popover
-   Press `Enter` to submit the password when opening a protected document
-   Show the page numbers for thumbnails
-   The Default Layout plugin allows to resize the sidebar
-   The plugin instances which can be accessed from an instance of the Default Layout or Toolbar plugin should be readonly
-   Support more shortcuts

| Shortcut                                                          | Supported plugin                                                 | Action                     |
| ----------------------------------------------------------------- | ---------------------------------------------------------------- | -------------------------- |
| <kbd>ctrl</kbd> + <kbd>cmd</kbd> + <kbd>F</kbd> or <kbd>F11</kbd> | [Full screen](https://react-pdf-viewer.dev/plugins/full-screen/) | Enter the full screen mode |
| <kbd>cmd</kbd> + <kbd>O</kbd>                                     | [Open](https://react-pdf-viewer.dev/plugins/open/)               | Open a document            |
| <kbd>cmd</kbd> + <kbd>F</kbd>                                     | [Search](https://react-pdf-viewer.dev/plugins/search/)           | Open the search popover    |

The shortcuts are enabled by default. It's possible to disable them, for example:

```js
// Use the standalone open plugin
const openPluginInstance = openPlugin({
    enableShortcuts: false,
});

// Use the default layout plugin
const defaultLayoutPluginInstance = defaultLayoutPlugin({
    toolbarPlugin: {
        openPlugin: {
            enableShortcuts: false,
        },
    },
});
```
