## v3.10.0

**New features**

-   New page scrolling mode:

```tsx
import { ScrollMode, Viewer } from '@react-pdf-viewer/core';

<Viewer scrollMode={ScrollMode.Page} />;
```

You can switch to the page scrolling mode from the toolbar.

-   New three page viewmodes:

```tsx
import { ViewMode, Viewer } from '@react-pdf-viewer/core';

<Viewer viewMode={ViewMode.DualPage} />;
```

| Mode                         | Description                                                      |
| ---------------------------- | ---------------------------------------------------------------- |
| `ViewMode.SinglePage`        | The default mode. View single page continuously                  |
| `ViewMode.DualPage`          | View two pages each time                                         |
| `ViewMode.DualPageWithCover` | View two pages each time. The first page is displayed as a cover |

-   `PluginFunctions` provides new `jumpToPreviousPage` and `jumpToNextPage` to jump to the previous and next pages

-   The `scroll-mode` plugin provides new `DualPageCoverViewModeIcon`, `DualPageViewModeIcon` and `PageScrollingIcon` icons

**Bug fixes**

-   Jumping to the previous and next pages in wrapped scrol mode don't work properly
-   Zooming doesn't keep current position properly
